import { IRuleAst } from '../../interface';
import { ResultErrorModel } from '../../models';
import { ErrorFlow, ErrorTypes } from '../../enums';
import { NgModuleSymbol } from 'ngast/lib/ngtsc/module.symbol';
declare class AstIsNgxTranslateImportedRule implements IRuleAst {
    flow: ErrorFlow;
    handler: ErrorTypes;
    modules: NgModuleSymbol[];
    constructor(directives?: NgModuleSymbol[], handler?: ErrorTypes, flow?: ErrorFlow);
    check(projectPath: string): ResultErrorModel[];
}
export { AstIsNgxTranslateImportedRule };
